

/* Add For Customization on Single WooCommerce Product Page*/

/* Hide Price */
.product-template-default.single.single-product span.woocommerce-Price-amount.amount {
    display: none;
}
/* Hide Reuqired Staric for in extra options */
.product-template-default.single.single-product .tm-epo-required {
    display: none;
}
.product-template-default.single.single-product h4.tc-cell.tm-epo-element-label {
    font-weight: bold;
}
 li.tmcp-field-wrap.tc-active .tc-label.tm-label{
       font-weight:600;
   }
       /*Inline the li*/
     .jacketing-class-div ul.tmcp-elements li.tmcp-field-wrap, .diameter-class-div ul.tmcp-elements li.tmcp-field-wrap,
    .length-class-div ul.tmcp-elements li.tmcp-field-wrap, .wavelength-class-div ul.tmcp-elements li.tmcp-field-wrap, .detector-class-div ul.tmcp-elements li.tmcp-field-wrap, .resolution-class-div ul.tmcp-elements li.tmcp-field-wrap, .software-class-div ul.tmcp-elements li.tmcp-field-wrap, .lens-class-div ul.tmcp-elements li.tmcp-field-wrap , .resolution-class-div ul.tmcp-elements li.tmcp-field-wrap{
        width: unset;
        padding: 20px 5px 20px 5px;
    }
    /*Additional information*/
    .cst_ai_chk{
        display:none;
    }
      /*Set cursor as pointer*/
     .jacketing-class-div ul.tmcp-elements label, .diameter-class-div ul.tmcp-elements label,
       .length-class-div ul.tmcp-elements label, .wavelength-class-div ul.tmcp-elements label, .detector-class-div ul.tmcp-elements label, .resolution-class-div ul.tmcp-elements label, .software-class-div ul.tmcp-elements label, .lens-class-div ul.tmcp-elements label, .resolution-class-div ul.tmcp-elements label{
        position: relative;
        cursor: pointer;
    }
    /*Set label border*/
    .jacketing-class-div ul.tmcp-elements label, .diameter-class-div ul.tmcp-elements label,
    .length-class-div ul.tmcp-elements label, .wavelength-class-div ul.tmcp-elements label, .detector-class-div ul.tmcp-elements label, .resolution-class-div ul.tmcp-elements label, .software-class-div ul.tmcp-elements label, .lens-class-div ul.tmcp-elements label, .resolution-class-div ul.tmcp-elements label{
      box-shadow: rgb(229, 229, 229) 0px 0px 0px 1px;
      border-radius: 6px;
      font-weight: 600;
    } 
    /*Set label border on hover*/
    .jacketing-class-div ul.tmcp-elements label:hover, .diameter-class-div ul.tmcp-elements label:hover,
    .length-class-div ul.tmcp-elements label:hover, .wavelength-class-div ul.tmcp-elements label:hover, .detector-class-div ul.tmcp-elements label:hover, .resolution-class-div ul.tmcp-elements label:hover, .software-class-div ul.tmcp-elements label:hover, .lens-class-div ul.tmcp-elements label:hover, .resolution-class-div ul.tmcp-elements label:hover{
       box-shadow: rgb(17, 17, 17) 0px 0px 0px 1px inset;
       border-radius: 6px;
    }
    /*Hide radio button*/
    .jacketing-class-div ul.tmcp-elements label input[type="radio"], .diameter-class-div ul.tmcp-elements label input[type="radio"],
  .length-class-div ul.tmcp-elements label input[type="radio"], .wavelength-class-div ul.tmcp-elements label input[type="radio"], .detector-class-div ul.tmcp-elements label input[type="radio"], .resolution-class-div ul.tmcp-elements label input[type="radio"], .software-class-div ul.tmcp-elements label input[type="radio"], .lens-class-div ul.tmcp-elements label input[type="radio"]  {
        display: none;
    }
    /*Add padding to span of label*/
    .jacketing-class-div ul.tmcp-elements label input[type="radio"]+ span, .diameter-class-div ul.tmcp-elements label input[type="radio"]+ span,
    .length-class-div ul.tmcp-elements label input[type="radio"]+ span, .wavelength-class-div ul.tmcp-elements label input[type="radio"]+ span, .detector-class-div ul.tmcp-elements label input[type="radio"]+ span, .resolution-class-div ul.tmcp-elements label input[type="radio"]+ span, .software-class-div ul.tmcp-elements label input[type="radio"]+ span, .lens-class-div ul.tmcp-elements label input[type="radio"]+ span  {
      display:inline-block;
      padding: 4px 18px 4px 18px;
      text-align: center;
    }
    /*Add padding to span of label on checked*/
    .jacketing-class-div ul.tmcp-elements label input[type="radio"]:checked + span, .diameter-class-div ul.tmcp-elements label input[type="radio"]:checked + span, .length-class-div ul.tmcp-elements label input[type="radio"]:checked + span, .wavelength-class-div ul.tmcp-elements label input[type="radio"]:checked + span, .detector-class-div ul.tmcp-elements label input[type="radio"]:checked + span, .resolution-class-div ul.tmcp-elements label input[type="radio"]:checked + span,.software-class-div ul.tmcp-elements label input[type="radio"]:checked + span, .lens-class-div ul.tmcp-elements label input[type="radio"]:checked + span {
      display: inline-block;
      /* border: 1px #847171 solid; */
      box-shadow: rgb(17, 17, 17) 0px 0px 0px 1px inset;
      border-radius: 6px;
    }
.tm-extra-product-options ul.tmcp-ul-wrap.tm-extra-product-options-radio li.tmcp-field-wrap .tm-label{
  padding: 0 0 0 0 !important;
}
.tc-totals-form dl.tm-extra-product-options-totals {
    display: inline-flex;
}
.tm-extra-product-options-totals .price.amount.final {
    color: #ff7748;
    padding-left: 10px;
}
.tm-extra-product-options .tc-cell, .tc-cell {
    margin-bottom: unset;
  }
  /* Last Buttons Qunatity and Add to cart */
  .woocommerce-page div.product form.cart div.quantity {
    display: none;
}

button.single_add_to_cart_button.button.alt {
    width: 50%;
    padding: 10px 24px;
    border-radius: 110px;
    background: #111;
    color: #ffffff;
}
button.single_add_to_cart_button.button.alt:hover {
    background: rgba(0,0,0,.75);
    color: white;
}
.out_of_stock-div h3.tc-cell.tm-epo-element-label {
    font-weight: bold;
} 

.disbaled-option {
    cursor: default;
    color: rgb(221, 221, 221);
    background: rgb(247, 247, 247);
    border-width: initial;
    border-style: none;
    border-color: initial;
    border-image: initial;
}
label.tm-epo-field-label.disbaled-option:hover {
    cursor: default !important;
    box-shadow: rgb(229, 229, 229) 0px 0px 0px 1px !important;
} 

/*Avaiable Cable Descc. & Prcing*/

.available_cables-div label.tc-cell,.available_products-div label.tc-cell {
    display: none;
}
.available_cables-div .tc-cell.tc-width100.tm-description h4, .available_products-div .tc-cell.tc-width100.tm-description h4 {
    font-weight: 700;
}
.available_cables-div .tc-cell.tc-width100.tm-description,  .available_cables-div .tc-cell.tc-width100.tm-description p, .available_products-div .tc-cell.tc-width100.tm-description {
    font-weight: 600;
    font-size: 16px;
}
.available_cables-div .tc-cell.tc-col.tm-extra-product-options-container, .available_products-div .tc-cell.tc-col.tm-extra-product-options-container{
  display: none;
}
/*For general remove/deselect option*/
.jacketing-class-div .tm-epo-reset-radio, .diameter-class-div .tm-epo-reset-radio, .length-class-div .tm-epo-reset-radio, .wavelength-class-div .tm-epo-reset-radio, .software-class-div .tm-epo-reset-radio, .lens-class-div .tm-epo-reset-radio {
    
    /*border: 1px solid #000;*/
    /*margin-top: 10px;*/
    
}
/*For software remove/deselect option (left corener )*/
.software-class-div .tm-epo-reset-radio, .lens-class-div .tm-epo-reset-radio{
    border: 1px solid #000;
    top: 10px;
    left: -5px;
}
/*USB*/
/*For Contact Us Button*/
a.contact_us_btn {
    margin-top: 15% !important;
    color: #ffffff!important;
    border-width: 0px!important;
    letter-spacing: 0px;
    font-size: 18px;
    font-family: 'Poppins',Helvetica,Arial,Lucida,sans-serif!important;
    text-transform: uppercase!important;
    background-color: #000000!important;
    font-weight: 500;
    padding: .3em 1em;
    line-height: 1.7em!important;
    background: #040404;
    position: relative;
    border: 2px solid;
    border-radius: 3px;
    width: 50%;
    float: none!important;
    display: inline-block;
    text-align: center;
}
.postid-1120 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-1125 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-2864 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4394 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4400 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4461 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4465 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4467 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4473 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4477 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4478 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4479 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4480 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4484 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4487 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4491 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4492 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4493 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4494 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4499 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4501 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4505 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4506 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4507 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4508 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4509 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4510 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4511 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4541 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4542 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4544 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4546 button.single_add_to_cart_button.button.alt {
    display: none;
}
.postid-4548 button.single_add_to_cart_button.button.alt {
    display: none;
}
/*For Spectocam Filters*/

.label_sel_opt-div h4 {
    margin-top: 4%;
    margin-bottom: 2.5% !important;
}
.label_sel_opt-div li.tmcp-field-wrap {
    width: 110% !important;
}

  .label_sel_opt-div {
  padding: 20px;
  color: #373737;
  font-size: 62.5%;
  line-height: 2.0em;
}

*, *:before, *:after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border-radius: 0;
}

.label_sel_opt-div label {
  position: relative;
  display: block;
  width: 400px;
  overflow: hidden;
  cursor: pointer;
}

.label_sel_opt-div label:first-child::after {
  content: ' ';
  position: absolute;
  right: 0;
  top: 0;
  width: 40px;
  height: 100%;
  display: block;
  background: #ff7748 url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAOBAMAAAGq7RFVAAAAJ1BMVEX///////////////////////////////////////////////////9Ruv0SAAAADHRSTlMACAoREoKDt7y9zc5qtZoyAAAAcklEQVQIHQXBsQnCUAAFwFOCCKbIABaWERzi1yaFAzmEpHYEC8GUKVQEkbyhvOOkZqdWt0/QYKqLzQeF7dv6y/RLwa2wYtk4Xxxe+t8yd1WuM/rcUc2gYHEeoP02umSgTR50ybBPRuiSZAS6ZAQ4jgCAPyjYJiRH4fymAAAAAElFTkSuQmCC') no-repeat center center;
  pointer-events: none;
}

.label_sel_opt-div label select {
  border: 5px solid #eeeeee;
  background: white;
  padding: 7px 20px 7px 20px;
  width: 100%;
  font-size: 16px;
  font-family: monospace;
  cursor: pointer;
}

.label_sel_opt-div label select::-ms-expand {
    display: none;
}

.label_sel_opt-div label :-moz-any(select) {
  width: 110%;
}

.label_sel_opt-div label.ie9 select {
  width: 110%;
}

.label_sel_opt-div label select:focus {
  outline: 1px dotted #A9A9A9;
}
.label_sel_opt-div label.tm-error {
    font-size: 12px !important;
}